<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param: node (the selected node to edit) , availableClasses (a List<ObjectClasses>) -->
    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="nodeEditionPanel"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['net.ihe.gazelle.hpd.LDAPNodeEdition']}"/>
        </ui:define>
        <div class="row">
            <div class="form-horizontal">
                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="nodeNameValueInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
                    <h:inputText value="#{node.name}" size="30" id="nodeNameValueInput" styleClass="form-control">
                        <a4j:ajax event="blur" render="nodeNameValueInput"/>
                    </h:inputText>
                </ui:decorate>
                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="descriptionInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                    <h:inputTextarea styleClass=" form-control" id="descriptionInput" value="#{node.description}"
                                     rows="3" cols="35"/>
                </ui:decorate>
            </div>
        </div>
        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
            <ui:param name="panel_id" value="nodesSelectionPanel"/>
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.hpd.SelectBelowTheObjectClassesOfThisNode']}"/>
            </ui:define>
            <a4j:region id="nodesSelectionRegion">
                <s:decorate template="/layout/form/_edit.xhtml" id="nodes">
                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.ObjectClasses']}</ui:define>
                    <rich:pickList value="#{node.objectClasses}" sourceListWidth="250px"
                                   targetListWidth="250px">
                        <s:selectItems value="#{availableClasses}" var="oc" label="#{oc.name}"/>
                    </rich:pickList>
                </s:decorate>
            </a4j:region>
        </ui:decorate>
        <a4j:commandButton value="#{messages['users.Cancel']}"
                           actionListener="#{ldapNodeManager.cancelEdition()}" render="globalDiv"
                           styleClass="gzl-btn"/>
        <a4j:commandButton value="#{messages['gazelle.simulator.Save']}"
                           actionListener="#{ldapNodeManager.saveNode()}" render="globalDiv"
                           styleClass="gzl-btn-green"/>
    </ui:decorate>
</ui:composition>
